<?php

namespace ModulesGarden\ProxmoxAddon\App\UI\IpLog\Buttons;

use ModulesGarden\ProxmoxAddon\App\UI\IpLog\Modals\DeleteMassModal;
use ModulesGarden\ProxmoxAddon\Core\UI\Interfaces\AdminArea;
use ModulesGarden\ProxmoxAddon\Core\UI\Widget\Buttons\ButtonMassAction;

/**
 * Description of DeleteMassButton
 *
 * @author Pawel Kopec <pawelk@modulesgarden.com>
 */
class DeleteMassButton extends ButtonMassAction implements AdminArea
{
    protected $icon = 'lu-btn__con lu-zmdi lu-zmdi lu-zmdi-delete';

    public function initContent()
    {

        $this->initIds('deleteMassButton');
        $this->switchToRemoveBtn();
        $this->initLoadModalAction(new DeleteMassModal());
    }
}
